secondaryindex

## Enum IndexViewService.IndexState

- java.lang.Object
- - java.lang.Enum<IndexViewService.IndexState>
  - - secondaryindex.IndexViewService.IndexState

- All Implemented Interfaces:
    Serializable, Comparable<IndexViewService.IndexState>
  Enclosing class:
    IndexViewService

      static enum IndexViewService.IndexState
      extends Enum<IndexViewService.IndexState>

  An enum for the current status of an Index View.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUILDING`
    `DELETING`
    `READY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexViewService.IndexState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IndexViewService.IndexState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BUILDING

          public static final IndexViewService.IndexState BUILDING

    - #### DELETING

          public static final IndexViewService.IndexState DELETING

    - #### READY

          public static final IndexViewService.IndexState READY

  - ### Method Detail

    - #### values

          public static IndexViewService.IndexState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexViewService.IndexState c : IndexViewService.IndexState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexViewService.IndexState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.